Package org.gdal.gdal

# Class Group

java.lang.Object
org.gdal.gdal.Group

public class Group extends Object

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Attribute`
  `CreateAttribute(String name, long[] dimensions, ExtendedDataType data_type)`
  `Attribute`
  `CreateAttribute(String name, long[] dimensions, ExtendedDataType data_type, Vector options)`
  `Dimension`
  `CreateDimension(String name, String dim_type, String direction, long size)`
  `Dimension`
  `CreateDimension(String name, String dim_type, String direction, long size, Vector options)`
  `Group`
  `CreateGroup(String name)`
  `Group`
  `CreateGroup(String name, Vector options)`
  `MDArray`
  `CreateMDArray(String name, Dimension[] dimensions, ExtendedDataType data_type)`
  `MDArray`
  `CreateMDArray(String name, Dimension[] dimensions, ExtendedDataType data_type, Vector options)`
  `void`
  `delete()`
  `int`
  `DeleteAttribute(String name)`
  `int`
  `DeleteAttribute(String name, Vector options)`
  `int`
  `DeleteGroup(String name)`
  `int`
  `DeleteGroup(String name, Vector options)`
  `int`
  `DeleteMDArray(String name)`
  `int`
  `DeleteMDArray(String name, Vector options)`
  `boolean`
  `equals(Object obj)`
  `Attribute`
  `GetAttribute(String name)`
  `ExtendedDataType`
  `GetDataType(long idx)`
  `long`
  `GetDataTypeCount()`
  `String`
  `GetFullName()`
  `Vector`
  `GetGroupNames()`
  `Vector`
  `GetGroupNames(Vector options)`
  `Vector`
  `GetMDArrayFullNamesRecursive()`
  `Vector`
  `GetMDArrayFullNamesRecursive(Vector groupOptions)`
  `Vector`
  `GetMDArrayFullNamesRecursive(Vector groupOptions, Vector arrayOptions)`
  `Vector`
  `GetMDArrayNames()`
  `Vector`
  `GetMDArrayNames(Vector options)`
  `String`
  `GetName()`
  `Hashtable`
  `GetStructuralInfo()`
  `Vector`
  `GetVectorLayerNames()`
  `Vector`
  `GetVectorLayerNames(Vector options)`
  `int`
  `hashCode()`
  `Group`
  `OpenGroup(String name)`
  `Group`
  `OpenGroup(String name, Vector options)`
  `Group`
  `OpenGroupFromFullname(String name)`
  `Group`
  `OpenGroupFromFullname(String name, Vector options)`
  `MDArray`
  `OpenMDArray(String name)`
  `MDArray`
  `OpenMDArray(String name, Vector options)`
  `MDArray`
  `OpenMDArrayFromFullname(String name)`
  `MDArray`
  `OpenMDArrayFromFullname(String name, Vector options)`
  `Layer`
  `OpenVectorLayer(String name)`
  `Layer`
  `OpenVectorLayer(String name, Vector options)`
  `int`
  `Rename(String newName)`
  `MDArray`
  `ResolveMDArray(String name, String starting_point)`
  `MDArray`
  `ResolveMDArray(String name, String starting_point, Vector options)`
  `Group`
  `SubsetDimensionFromSelection(String selection)`
  `Group`
  `SubsetDimensionFromSelection(String selection, Vector options)`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### delete

    public void delete()

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### GetName

    public String GetName()

  - ### GetFullName

    public String GetFullName()

  - ### GetMDArrayNames

    public Vector GetMDArrayNames(Vector options)

  - ### GetMDArrayNames

    public Vector GetMDArrayNames()

  - ### GetMDArrayFullNamesRecursive

    public Vector GetMDArrayFullNamesRecursive(Vector groupOptions, Vector arrayOptions)

  - ### GetMDArrayFullNamesRecursive

    public Vector GetMDArrayFullNamesRecursive(Vector groupOptions)

  - ### GetMDArrayFullNamesRecursive

    public Vector GetMDArrayFullNamesRecursive()

  - ### OpenMDArray

    public MDArray OpenMDArray(String name, Vector options)

  - ### OpenMDArray

    public MDArray OpenMDArray(String name)

  - ### OpenMDArrayFromFullname

    public MDArray OpenMDArrayFromFullname(String name, Vector options)

  - ### OpenMDArrayFromFullname

    public MDArray OpenMDArrayFromFullname(String name)

  - ### ResolveMDArray

    public MDArray ResolveMDArray(String name, String starting_point, Vector options)

  - ### ResolveMDArray

    public MDArray ResolveMDArray(String name, String starting_point)

  - ### GetGroupNames

    public Vector GetGroupNames(Vector options)

  - ### GetGroupNames

    public Vector GetGroupNames()

  - ### OpenGroup

    public Group OpenGroup(String name, Vector options)

  - ### OpenGroup

    public Group OpenGroup(String name)

  - ### OpenGroupFromFullname

    public Group OpenGroupFromFullname(String name, Vector options)

  - ### OpenGroupFromFullname

    public Group OpenGroupFromFullname(String name)

  - ### GetVectorLayerNames

    public Vector GetVectorLayerNames(Vector options)

  - ### GetVectorLayerNames

    public Vector GetVectorLayerNames()

  - ### OpenVectorLayer

    public Layer OpenVectorLayer(String name, Vector options)

  - ### OpenVectorLayer

    public Layer OpenVectorLayer(String name)

  - ### GetAttribute

    public Attribute GetAttribute(String name)

  - ### GetStructuralInfo

    public Hashtable GetStructuralInfo()

  - ### CreateGroup

    public Group CreateGroup(String name, Vector options)

  - ### CreateGroup

    public Group CreateGroup(String name)

  - ### DeleteGroup

    public int DeleteGroup(String name, Vector options)

  - ### DeleteGroup

    public int DeleteGroup(String name)

  - ### CreateDimension

    public Dimension CreateDimension(String name, String dim_type, String direction, long size, Vector options)

  - ### CreateDimension

    public Dimension CreateDimension(String name, String dim_type, String direction, long size)

  - ### CreateMDArray

    public MDArray CreateMDArray(String name, Dimension[] dimensions, ExtendedDataType data_type, Vector options)

  - ### CreateMDArray

    public MDArray CreateMDArray(String name, Dimension[] dimensions, ExtendedDataType data_type)

  - ### DeleteMDArray

    public int DeleteMDArray(String name, Vector options)

  - ### DeleteMDArray

    public int DeleteMDArray(String name)

  - ### CreateAttribute

    public Attribute CreateAttribute(String name, long[] dimensions, ExtendedDataType data_type, Vector options)

  - ### CreateAttribute

    public Attribute CreateAttribute(String name, long[] dimensions, ExtendedDataType data_type)

  - ### DeleteAttribute

    public int DeleteAttribute(String name, Vector options)

  - ### DeleteAttribute

    public int DeleteAttribute(String name)

  - ### Rename

    public int Rename(String newName)

  - ### SubsetDimensionFromSelection

    public Group SubsetDimensionFromSelection(String selection, Vector options)

  - ### SubsetDimensionFromSelection

    public Group SubsetDimensionFromSelection(String selection)

  - ### GetDataTypeCount

    public long GetDataTypeCount()

  - ### GetDataType

    public ExtendedDataType GetDataType(long idx)